# Orejime Complient Vidéos

Module replace embeded vidéos into placeholder with custom message and urls.

## Requirements

This module require [Orejime](https://github.com/empreinte-digitale/orejime) to be installed and running

## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

The module doesn’t provide, for now, configuration in the admin.
You will need to edit the orejime_videos.settings.yml in your config file and reimport it.

### orejime_videos.settings.yml structure

Inside the `filtered_domains` you can setup a list of custom consent (by default we provide examples for youtube, vimeo and twitter).
Example:
```yml
  youtube:
    orejime_consent: youtube
    domains:
      - youtube.com
      - youtu.be
    htmlToExtUrl:
      -
        pattern: '/<iframe[^>]*src\s*=\s*"(?:https?(?::|%3A)\/\/)?(?:www\.)?youtu\.?be(?:\.com)?\/(?:watch|embed)?(?:.*v=|.*v%3D|v\/|\/)([\w\-_]+)\&?/im'
        replacement: 'https://youtu.be/$1'
```
For each consent you can define:
- `orejime_consent`: the name of the consent in orejime.

  _You can use the same orejime consent name for multiples filters_
- `domains`: the domains names of the service you want to filter, this need to be an array
- `htmlToExtUrl`: a set of rules to replace the "embed" code into the orejime video placeholder.
  - `pattern`: a regexp pattern for the replacement.
    Use capturing groups to get elements of the embed that can be used to generate url replacement
  - `replacement`: embed is also replaced by an external url so the user can watch the video outside the website.
    That external url use the capturing group values.

### Translate displayed message

Message displayed can be translated in Drupal's translate interface

### Change displayed message

You can change the displayed message by copy pasting the template to your custom theme and edit it.
